Bug 1074969 - Review Request: perl-Config-Generator - rpm containing global variables used by the Config::Generator modules
Review Request: perl-Config-Generator - rpm containing global variables used ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adrien Devresse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-11 06:00 EDT by Alexandre Beche
Modified: 2015-07-21 08:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Config-Generator-0.5-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 16:37:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adev88: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexandre Beche 2014-03-11 06:00:34 EDT
Spec URL: http://abeche.web.cern.ch/abeche/perl-Config-Generator.spec
SRPM URL: http://abeche.web.cern.ch/abeche/perl-Config-Generator-0.5-1.el6.src.rpm
Description: This module contains all the global variables used by the
Config::Generator modules.
Fedora Account System Username: abeche

Hello, I just finished to package the following rpm and I would like to get it in EPEL5/6.
Thanks in advance
Comment 1 Ralf Corsepius 2014-03-11 06:52:00 EDT
(In reply to Alexandre Beche from comment #0)
> Spec URL: http://abeche.web.cern.ch/abeche/perl-Config-Generator.spec
This URL is inaccessible: "This website is only visible from within CERN"
Comment 2 Alexandre Beche 2014-03-11 08:22:52 EDT
Hello,
Does it works now?
Cheers,
Alex
Comment 3 Ralf Corsepius 2014-03-11 12:08:13 EDT
(In reply to Alexandre Beche from comment #2)
> Does it works now?
Yes, it does.

Some comments on your package:

* Package fails to build:
error: Installed (but unpackaged) file(s) found:
   /usr/bin/yacg
   /usr/share/man/man1/yacg.1.gz

You need to add
%{_bindir}/yacg
%{_mandir}/man1/yacg*
or similar to %files

* Except of the "Require: perl(:MODULE_COMPAT*)", all "Requires: perl(*)" should all be removed from the spec. 
RPM automatically generates the necessary Requires: itself.

* Unless you plan to support epel < 6, you can tighten up the spec-file by removing many anachronims from the spec (%clean, rm -rf $RPM_BUILD_ROOT, BuildRoot:, %defattr, etc.).
Comment 4 Alexandre Beche 2014-03-11 12:19:30 EDT
Done, I uploaded the new spec.
I do need the EPEL5 compat.
Cheers,
Alex
Comment 5 Adrien Devresse 2014-03-12 11:46:35 EDT
Hi,

I sponsor Alexandre, I take care of this review.


Adrien
Comment 6 Adrien Devresse 2014-03-12 11:51:51 EDT
The spec file seems to have been updated but not the SRPM which does not compile on rawhide :


http://koji.fedoraproject.org/koji/taskinfo?taskID=6626776
Comment 7 Alexandre Beche 2014-03-12 12:00:13 EDT
Hello,
source rpm updated.
Comment 8 Ralf Corsepius 2014-03-12 13:21:36 EDT
(In reply to Alexandre Beche from comment #7)
> Hello,
> source rpm updated.
Not quite. You did not increment the Release-Tag.
Comment 9 Adrien Devresse 2014-03-14 05:28:02 EDT
> Not quite. You did not increment the Release-Tag.

This is ok as long as it is under review, there is no need to start a package to release 10.
Comment 10 Adrien Devresse 2014-03-18 17:54:22 EDT
Ok, Official review


Legend:
X -> valid
! -> Invalid
Nāˆ•A -> not concerned


[X]: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

	rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


[X]: The package must be named according to the Package Naming Guidelines .
[X]: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
[X]: The package must meet the Packaging Guidelines .
[X]: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

	GPL+ & artistic -> perl recommendation

[X]: The License field in the package spec file must match the actual license. [3]
[X]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[X]: The spec file must be written in American English. [5]
[X]: The spec file for the package MUST be legible. [6]
[X]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

dd2e02f59a118bd5f02f377002c1dc3f  perl-Config-Generator-0.5-1.el6.noarch/Config-Generator-0.5.tar.gz
dd2e02f59a118bd5f02f377002c1dc3f  Config-Generator-0.5.tar.gz


[X]: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

	 http://koji.fedoraproject.org/koji/taskinfo?taskID=6647982


[N/A]: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[X]: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[N/A]: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[N/A]: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[N/A]: Packages must NOT bundle copies of system libraries.[11]
[N/A]: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[X]: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[X]: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[X]: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[X]: Each package must consistently use macros. [16]

	-> see comments
[X]: The package must contain code, or permissable content. [17]
[N/A]: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[X]: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[N/A]: Static libraries must be in a -static package. [19]
[N/A]: Development files must be in a -devel package. [20]
[N/A]: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[N/A]: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
[N/A]: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[X]: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[X]: All filenames in rpm packages must be valid UTF-8. [24]



Important.png
SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

[!]: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]

	-> License file not included, please report this

[N/A]: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
[X]: The reviewer should test that the package builds in mock. [27]

	-> Finish: build phase for perl-Config-Generator-0.5-1.el6.src.rpm
INFO: Done(perl-Config-Generator-0.5-1.el6.src.rpm) Config(fedora-rawhide-x86_64) 3 minutes 28 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-rawhide-x86_64/result


[X]: The package should compile and build into binary rpms on all supported architectures. [28]

 rawhide : http://koji.fedoraproject.org/koji/taskinfo?taskID=6647982
  EPEL 5:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6648035
  EPEL 6:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6648047


[X]: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[N/A]: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
[N/A]: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
[N/A]: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
[N/A]: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
[X]: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]



MUST failed : 0

SHOULD fail : 1
-> please report the need of the license file upstream

Comments:
- I would in general always prefer the macro %{buildroot} to $RPM_BUILD_ROOT, for coherence reason with the other macros.


Only minor issues: accepted package.

Welcome as a new packager :)
Comment 11 Alexandre Beche 2014-03-19 12:00:35 EDT
New Package SCM Request
=======================
Package Name: perl-Config-Generator
Short Description: This module contains all the global variables used by the
Config::Generator modules.
Owners: abeche 
Branches: f19 f20 el5 el6 epel7
InitialCC: adev
Comment 12 Gwyn Ciesla 2014-03-19 12:23:09 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-03-19 13:23:41 EDT
perl-Config-Generator-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Config-Generator-0.5-1.el6
Comment 14 Fedora Update System 2014-03-20 05:55:29 EDT
perl-Config-Generator-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Config-Generator-0.5-1.el5
Comment 15 Ralf Corsepius 2014-03-20 21:19:08 EDT
(In reply to Adrien Devresse from comment #9)
> > Not quite. You did not increment the Release-Tag.
> 
> This is ok as long as it is under review,
You are wrong - This is *not* OK.

You obviously are lacking suffient experience to unterstand the rationales behind this - It's a safety belt against stupid mistakes, which is causing misunderstandings and confusion. I am not willing to tolerate reviewers who accept such bad habits.
Comment 16 Ralf Corsepius 2014-03-20 21:25:00 EDT
Forgot to mention: This is NEED-SPONSOR request, which means reviewers are expected to *teach* newcomers to Fedora practices. You (Adrian) failed to do so. i.e. disqualified yourself from being a packager sponsor.
Comment 17 Ralf Corsepius 2014-03-20 21:47:22 EDT
(In reply to Alexandre Beche from comment #11)

> InitialCC: adev

Perl packages should have an InitialCC: perl-sig.
This echoes all BZs to the perl-devel list and thus notifies other perl-module maintainers of upcoming issues/updates etc.
Comment 18 Adrien Devresse 2014-03-21 05:52:11 EDT
Gne ?

Listen, I Apologize if my quick message made you angry, I posted it in a hurry. It was nothing personnal.

> Forgot to mention: This is NEED-SPONSOR request, which means reviewers are expected to *teach* newcomers to Fedora practices. You (Adrian) failed to do so. i.e. disqualified yourself from being a packager sponsor.

You speak without knowing anything. I know Alexandre personnaly, he is in the same organization than me. He did several informal reviews and packaging training during almost one month with me. It's what I name teaching and it is exactly what my sponsor did with me at the time. I fully take his actions under my responsability.

If you are not happy with my way to proceed, I'm perfectly open to your explanation of what is "teaching".

> You obviously are lacking suffient experience to unterstand the rationales behind this - It's a safety belt against stupid mistakes, which is causing misunderstandings and confusion. I am not willing to tolerate reviewers who accept such bad habits.

I have currently more than 200 updates on my own, and around 50 packages under my responsability. A lot of packager ask to not increase the release tag during the review ( includind my sponsor if I remember properly ) for the good and simple reason that it avoids to rollback the release tag to 1 at the first import.

If you are not fine with my method, I would be happy to discuss of this.
But that does not justify your public attacks nor your agressivity or your way to proceed.


Adev
Comment 19 Fedora Update System 2014-03-21 18:33:14 EDT
perl-Config-Generator-0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 20 Fedora Update System 2014-04-28 16:37:09 EDT
perl-Config-Generator-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 21 Fedora Update System 2014-04-28 16:37:22 EDT
perl-Config-Generator-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.